<?php

$menuData = [

  // Goals and Objectives
  [
    'slug' => 'goals-and-objectives',
    'title' => 'Goals and Objectives',
    'description' => 'Clarify aspirations, set achievable targets, and foster personal growth.',
    'subcategories' => [
      ['title' => 'Career Goals', 'slug' => 'career-goals', 'description' => 'What kind of work you would like to do'],
      ['title' => 'Educational Goals', 'slug' => 'educational-goals', 'description' => 'To get the career and life you want'],
      ['title' => 'Financial Goals', 'slug' => 'financial-goals', 'description' => 'Will help you achieve your other goals'],
      ['title' => 'Personal Goals', 'slug' => 'personal-goals', 'description' => 'What you want for yourself in life'],
    ],
    'bootstrap_icon' => 'bi-bullseye',
  ],

  // Preparing for College or University
  [
    'slug' => 'preparing-for-college-and-university',
    'title' => 'Preparing for College and University',
    'description' => 'Navigate academia successfully with insights on admissions, majors, and preparation.',
    'subcategories' => [
      ['title' => 'Applying to Post Secondary', 'slug' => 'applying-to-post-secondary', 'description' => ''],
      ['title' => 'Education Level Differences', 'slug' => 'education-level-differences', 'description' => ''],
      ['title' => 'Online Learning and Remote Work', 'slug' => 'online-learning-and-remote-work', 'description' => ''],
      ['title' => 'Strategies For Success', 'slug' => 'strategies-for-success', 'description' => ''],
      ['title' => 'Support and Accommodations', 'slug' => 'support-and-accommodations', 'description' => ''],
    ],
    'bootstrap_icon' => 'bi-journal-bookmark-fill',
  ],


  // Managing Your Finances
  [
    'slug' => 'managing-your-finances',
    'title' => 'Managing Your Finances',
    'description' => 'Master budgeting, savings, and financial literacy for a secure financial future.',
    'subcategories' => [
      ['title' => 'Band Funding', 'slug' => 'band-funding', 'description' => ''],
      ['title' => 'Budgeting Your Money', 'slug' => 'budgeting-your-money', 'description' => ''],
      ['title' => 'Financial Awards For Students With Special Needs', 'slug' => 'special-needs-financial-awards', 'description' => ''],
      ['title' => 'Grants, Bursaries and Loans', 'slug' => 'grants-bursaries-and-loans', 'description' => ''],
      ['title' => 'Income Tax', 'slug' => 'income-tax', 'description' => ''],
      ['title' => 'Tips To Increase Income', 'slug' => 'tips-to-increase-income', 'description' => ''],
      ['title' => 'Tips To Reduce Expenses', 'slug' => 'tips-to-reduce-expenses', 'description' => ''],
    ],
    'bootstrap_icon' => 'bi-cash-coin',
  ],

  // Daily Living and Housing
  [
    'slug' => 'daily-living-and-housing',
    'title' => 'Daily Living and Housing',
    'description' => 'Tips for independent living, housing options, and creating a comfortable daily routine.',
    'subcategories' => [
      ['title' => 'Before Signing The Lease', 'slug' => 'before-signing-the-lease', 'description' => ''],
      ['title' => 'Finding A Place To Stay', 'slug' => 'finding-a-place-to-stay', 'description' => ''],
      ['title' => 'First Time Renting FAQs', 'slug' => 'first-time-renting-faqs', 'description' => ''],
      ['title' => 'House vs. Apartment', 'slug' => 'house-vs-apartment', 'description' => ''],
      ['title' => 'Off Campus Housing', 'slug' => 'off-campus-housing', 'description' => ''],
      ['title' => 'Students With Children', 'slug' => 'students-with-children', 'description' => ''],
      ['title' => 'Transportation', 'slug' => 'transportation', 'description' => ''],
    ],
    'bootstrap_icon' => 'bi-building',
  ],

  // Mental Health and Wellness
  [
    'slug' => 'mental-health-and-wellness',
    'title' => 'Mental Health and Wellness',
    'description' => 'Prioritize well-being with strategies for mental health, stress management, and resilience.',
    'subcategories' => [
      ['title' => 'Gender Identity and Sexual Orientation', 'slug' => 'gender-identity-and-sexual-orientation', 'description' => ''],
      ['title' => 'Living In Balance', 'slug' => 'living-in-balance', 'description' => ''],
      ['title' => 'Making Healthy Choices', 'slug' => 'making-healthy-choices', 'description' => ''],
      [
        'title' => 'Managing Stress', 'slug' => 'managing-stress', 'description' => ''
      ],
      [
        'title' => 'Physical Health', 'slug' => 'physical-health', 'description' => ''
      ],
      ['title' => 'Safety', 'slug' => 'safety', 'description' => ''],
      ['title' => 'Sexual Health', 'slug' => 'sexual-health', 'description' => ''],
      ['title' => 'Stay in Touch', 'slug' => 'stay-in-touch', 'description' => ''],
    ],
    'bootstrap_icon' => 'bi-heart-pulse-fill',
  ],


  // Forms and Additional Information
  [
    'slug' => 'resources-and-additional-information',
    'title' => 'Resources and Additional Information',
    'description' => 'Access a wealth of tools, guides, and external links for comprehensive support.',
    'subcategories' => [
      ['title' => 'NAN Map', 'slug' => 'nan-map', 'description' => ''],
      ['title' => 'NAN Tribe Councils', 'slug' => 'nan-tribe-councils', 'description' => ''],
      ['title' => 'Ontario Native Education Counseling Associations', 'slug' => 'ontario-native-education-counseling-associations', 'description' => ''],
      ['title' => 'Resources Samples', 'slug' => 'resources-samples', 'description' => ''],
      ['title' => 'Understanding Your Treaties', 'slug' => 'understanding-your-treaties', 'description' => ''],
    ],
    'bootstrap_icon' => 'bi-info-circle-fill',
  ],

];
