<article>

  <div class="bg-white">
    <h2 class="text-xl p-4 text-red-500 font-bold">Stress</h2>
    <div class="px-4">
      <p class="font-medium">
        As a college or university student, there are expectations placed on you that may be new to you. School assignments combined with the responsibilities of living on your own can cause stress.
      </p>
      <ul class="list-disc px-8 space-y-2 py-2">
        <li>Some stress is normal and is actually good for you, especially if it motivates you to do your work and maintain a healthy lifestyle. Too much stress can be harmful to your health. Be sure to check in with yourself and your education counsellor.</li>
        <li>Deep breathing exercises and mindfulness can help you manage daily stressors.</li>
        <li>Do not be afraid to talk about your stress or anxieties with people you trust.</li>
      </ul>
    </div>
  </div>


  <div class="px-4 mx-auto">
    <img src=" <?= get_template_directory_uri() ?>/assets/images/people/stressed_student.png" alt="Public Transit">
  </div>



  <div class="mt-8 px-4 space-y-4 py-4 w-full text-white bg-red-500 shadow-md">
    <p class="italic font-medium">Managing Stress</p>
  </div>

  <div class="px-4 pb-8 pt-4">
    <p class="">
      The following site provides online support, resources and strategies to help you deal with stress.
    </p>

    <div class="mt-4">
      <h3 class="font-bold">Stress Strategies</h3>
      <a class="font-medium underline" href="https://www.stressstrategies.ca/">(www.stressstrategies.ca/)</a>
      <!-- Links -->
      <div class="accordion bg-red-500 text-white my-2">
        <div class="relative flex px-2 rounded-md justify-between">
          <div href="" class="gap-x-3 rounded-md p-2 text-sm leading-6 font-semibold flex items-center align-middle">
            <p class="font-bold">Quick Links</p>
          </div>

          <button class="accordion-toggle absolute inset-0 flex w-full h-full">
            <i class="fas fa-chevron-down items-center ml-auto rounded-m px-2.5 py-2 " aria-hidden="true"></i>
            <i class="fas fa-times items-center ml-auto rounded-md px-3 py-2" aria-hidden="true"></i>
          </button>

        </div>
        <div class="accordion-content space-y-4">
          <ul class="space-y-2">
            <li><a class="underline" href="https://vimeo.com/126413423">Overview</a></li>
            <li><a class="underline" href="https://www.stressstrategies.ca/resources">Resources and Personalized Strategies to Deal with Stress</a></li>
          </ul>
        </div>
      </div>

      <p class="mt-2">
        This website provides free resources and videos to help you learn to manage stress.
      </p>
    </div>

    <div class="horizontal-rule w-4/5 mt-4 mx-auto bg-gray-800"></div>

  </div>


</article>