<?php

$safetyPrecaution = [
  [
    'title' => 'Buddy System',
    'content' => [
      'Use the buddy system especially after dark. It can be tempting to go for a run alone or make a quick trip to the library by yourself after dark, but it’s not worth the risk. Never be alone at night or in remote areas.'
    ]
  ], [
    'title' => 'Campus Resources',
    'content' => [
      'Use campus security escorts and safe rides.'
    ]
  ],
  [
    'title' => 'Safety Training',
    'content' => [
      'Take advantage of safety training. Many campuses offer self-defence classes, or you can sign up for one at a local recreation centre.'
    ]
  ],
  [
    'title' => 'Contact Information',
    'content' => [
      'Exchange family contact information with your roommate(s). It’s a good idea for parents to have the roommate’s phone number, too, so everyone can connect during an emergency.'
    ]
  ],
  [
    'title' => 'Alcohol Moderation',
    'content' => [
      'Alcohol can make almost any situation more dangerous. Students who drink excessively are at higher risk of being involved in car accidents, hazing and sexual assault. Don’t drink or use before you drive or get into the car with someone you suspect might be under the influence.'
    ]
  ]
];

?>

<article>

  <div class="py-2 px-6">
    <p class="font-bold text-red-500 mb-4">You are responsible for your own safety.</p>
  </div>

  <!-- Safety Tips -->
  <div class="flex flex-col bg-white">

    <div class="py-2 bg-green-600 px-6">
      <p class="font-bold text-white">Here are some ways to keep yourself safe:</p>
    </div>

    <!-- Tips Loop -->
    <div class="flex flex-1 flex-col">
      <div class="flex flex-1 flex-col gap-y-7">

        <div>
          <ul role="list" class="text-blue-900">

            <!-- Differences Loop -->
            <?php

            foreach ($safetyPrecaution as $precaution) {

            ?>

              <li class="accordion precautions-columns">
                <div class="relative flex px-2 rounded-md justify-between">
                  <div href="" class="gap-x-3 rounded-md p-2 text-sm leading-6 font-semibold flex items-center align-middle">
                    <p><?php echo $precaution['title'] ?></p>
                  </div>

                  <button class="accordion-toggle absolute inset-0 flex w-full h-full">
                    <i class="fas fa-chevron-down items-center ml-auto rounded-m px-2.5 py-2 " aria-hidden="true"></i>
                    <i class="fas fa-times items-center ml-auto rounded-md px-3 py-2" aria-hidden="true"></i>
                  </button>

                </div>
                <div class="accordion-content space-y-4">

                  <!-- Precaution  -->
                  <div>
                    <ul class="<?php
                                if (count($precaution['content']) > 1) {
                                  echo (count($precaution['content']) > 1) ? 'list-disc' : '';
                                } ?>">
                      <?php
                      foreach ($precaution['content'] as $info) { ?>
                        <li class="mb-2">
                          <?php echo $info ?>
                        </li>
                      <?php } ?>
                    </ul>
                  </div>
                </div>
              </li>


            <?php } ?>

          </ul>
        </div>

      </div>
    </div>

  </div>

  <ul class="py-2 px-6 space-y-4 w-full bg-cadet-100 shadow-md">

    <li>
      <p class="mt-4">
        If you are involved with the police, know your rights and your responsibilities.
      </p>
      <p class="mt-4">
        For information about your legal rights, Nishnawbe Aski Legal Services (NALS) has information that can help you. <br> <a class="font-medium underline" href="https://nanlegal.on.ca/public-legal-education/">Public Legal Education</a>
      </p>
    </li>

    <div class="h-1 my-2 bg-blue-500"></div>

    <li>
      <p class="mt-4">
        If you are a victim of sexual harassment, get help.
      </p>

      <ul class="list-disc list-inside space-y-2">
        <li>Let someone know right away – police, campus security, a friend.</li>
        <li>
          The link below has information about sexual harassment and what you can do if you are a victim. <br> <a class="font-medium underline" href="https://www.ontario.ca/page/sexual-violence">Let's Stop Sexual Harassment and Violence.</a>
        </li>
        <li>If you are a victim of sexual assault, call 911 right away.</li>
      </ul>
    </li>


  </ul>


</article>