<article>

  <div class="flex flex-col">

    <div class="py-4 px-6">

      <p class="font-bold text-red-500">INFORMATION AND SPECIAL PROGRAMS</p>

      <ul class="list-disc px-8 space-y-2 py-2">

        <li>Contact your Student Accessibility Centre for more information.</li>
        <li>Take advantage of special programs for children through the library, community centres, or local Indigenous organizations.</li>

      </ul>

    </div>

    <div class="py-4 bg-cadet-200 px-6">

      <p class="font-bold text-red-500">CHILDREN:</p>

      <ul class="list-disc px-8 space-y-2 py-2">

        <li>Contact your local social services administration board to apply for daycare services. Subsidies may be provided to cover the cost of daycare. Since childcare services fill up quickly, look into this as soon as possible.</li>
        <li>When considering private childcare, certain precautions need to be taken. Do your research! Ensure the childcare lead is reputable and has positive reviews by other parents.</li>

      </ul>

    </div>

    <div class="py-4 px-4">
      <div>

        <div class="p-4 space-y-4 w-full bg-cadet-100 shadow-md">

          <p class="mt-4 font-medium">
            Questions to ask about childcare:
          </p>

          <ul class="list-disc px-8 space-y-2 py-2">
            <li>Do they have a criminal record check, and do they follow Ministry guidelines?</li>
            <li>What type for certification do they have? Are the staff qualified?</li>
            <li>How many children do they look after at one time? Do they have additional staff if needed?</li>
            <li>Ask to see an example of a daily schedule and programming for learning and snack times.</li>
          </ul>

          <p class="mt-4">
            Have back-up childcare lined up in case of emergency, or for days when the regular daycare may be closed.
          </p>

          <div class="py-8 space-y-4 lg:w-1/4 mx-auto">
            <img src="<?php echo get_template_directory_uri() . '/assets/images/bgs/students-with-kids.png' ?>" alt="Students With Kids">
          </div>

        </div>

      </div>
    </div>

    <div class="italic py-8 px-8 bg-cadet-500 text-cadet-900 space-y-4">
      <div class="max-w-7xl mx-auto lg:flex flex-col items-center">
        <i class="bi-quote text-7xl inline text-cadet-300"></i>
        <p class="font-medium inline text-xl">I don’t go to university for just myself. I go to university to inspire that a mother can persevere. I go to university to educate myself and bring it back to my people. I go to university to set an example that I am an educated, civilized, strong Indigenous woman and we exist.”</p>
        <div class="flex items-center space-x-4">
          <img class="inline mt-4 h-64 lg:h-96" src="<?= get_template_directory_uri() ?>/assets/images/people/student-with-two-children.png" alt="Student With Children">
          <div>
            <p class="mt-4 mb-2 font-medium">Skye Fiddler, Sandy Lake First Nation</p>
            <p>Graduated 2019 with Bachelor of Arts, Lakehead University</p>
          </div>
        </div>
      </div>
    </div>

  </div>

</article>