<article>

  <div class="flex flex-col bg-white">

    <div class="py-4 px-6">

      <p class="font-bold text-red-500">STUDENTS NEEDING ACADMENIC ACCOMODATIONS</p>

      <p class="mt-4 font-medium">
        Ontario colleges and universities are required to provide a variety of supports for students to help them be successful.
      </p>

      <ul class="list-disc px-8 space-y-2 py-2">

        <li>Contact your Student Accessibility Centre for more information.</li>
        <li>For information about the supports that are available and how to access them, the Government of Ontario has several resources online at: <a class="font-medium underline" href="https://www.transitionresourceguide.ca/resources">Transition Resource Guide</a></li>
        <li>For information about your rights in Ontario colleges and universities, go to: <a class="font-medium underline" href="https://www.ohrc.on.ca/en/opportunity-succeed-achieving-barrier-free-education-students-disabilities/post-secondary-education">Barrier Free Education For Students With Disabilities</a></li>

      </ul>

      <p class="mt-4">
        The Ontario Native Education Counsellors Association has information about how to get additional supports. Visit: <br> <a class="font-medium underline" href="https://oneca.com/transitions/finding-support-for-school/">Finding Support for School</a> for more information
      </p>

    </div>


    <div class="py-4 px-4">
      <p class="font-bold text-red-500 mb-4">CONNECTING FOR SUCCESS</p>

      <div>

        <div class="p-4 space-y-4 w-full bg-cadet-100 shadow-md">

          <p class="mt-4 font-medium">
            Everyone needs some help at one time or another. The following are services found in most post-secondary institutions and in the community.
          </p>

          <ul class="list-disc px-8 space-y-2 py-2">
            <li>Student services</li>
            <li>Indigenous support services</li>
            <li>Finance Office</li>
            <li>Post-Secondary funding counsellor</li>
            <li>Academic advisor</li>
            <li>Mentor / Tutor</li>
            <li>Health Services</li>
            <li>Family Doctor</li>
            <li>Your family and friends</li>
          </ul>

          <p class="mt-4">
            Use the My Contacts form at <a class="font-medium underline" href="<?= site_url('/resources-and-additional-information/resources-samples/') ?>/">Resources and Additional Information</a> to write down contact information for these people and services.
          </p>

          <div class="py-8 space-y-4 lg:w-1/4 mx-auto">
            <img src="<?php echo get_template_directory_uri() . '/assets/images/bgs/you-got-this.png' ?>" alt="You Got This">
          </div>

        </div>

      </div>
    </div>

    <div class="italic py-8 px-8 bg-cadet-500 text-cadet-900 space-y-4">
      <div class="max-w-7xl mx-auto lg:flex flex-col items-center">
        <i class="bi-quote text-7xl inline text-cadet-300"></i>
        <p class="font-medium inline text-xl">Accessing the available resources in my college such as cultural rooms, the Indigenous student advisor, the campus elder, my peers, my professors, and program coordinator allowed me to create my own support system in the facility that was easily accessible and created a sense of security for myself in this new chapter of my life.</p>
        <img class="inline h-56 aspect-video object-cover mt-4" src="<?= get_template_directory_uri() ?>/assets/images/people/student_image.png" alt="Accomodations Quote Student">
      </div>
    </div>

    <div class="p-4">
      <div class="p-4 space-y-4 w-full text-white bg-cadet-900 shadow-md">
        <p class="font-medium">Indigenous Support Services</p>
        <p>Along with student services for all students,
          Ontario colleges and universities have Indigenous
          support centres. These centres may offer the
          following:</p>
        <ul class="list-disc px-4 space-y-2">
          <li>Cultural activities</li>
          <li>Occasional food and drop-in feasts</li>
          <li>Elder support and guidance</li>
          <li>Study tips (i.e., essay writing, managing time, meeting deadlines and meeting your personal goals)</li>
        </ul>
      </div>
    </div>

 
    <div class="py-4 px-6">

      <p class="font-bold text-red-500">Orientation Activities</p>

      <ul class="list-disc px-8 space-y-2 py-2">

        <li>College and university programs usually have orientations in September. This is a good place to meet new friends and familiarize yourself with the campus, programs and supports offered by your school.</li>
        <li>Some orientations for Indigenous students are held off-campus in various urban centres.</li>

      </ul>

    </div>

    <div class="max-w-7xl mx-auto lg:flex flex-col items-center">
      <div class="italic py-8 px-8 bg-cadet-500 text-cadet-900 space-y-4">
        <i class="bi-quote text-7xl inline text-cadet-300"></i>
        <p class="font-medium inline text-xl">Participating in cultural events on my campus allowed
          me to connect with these supports on a personal level
          while also connecting to my culture. Connecting to my
          culture was also important in ensuring my well-being
          and creating the balance between traditional and
          contemporary life that many of us Indigenous students
          often are faced with.</p>
        <p class="mt-4 mb-2 font-medium">Mackenzie Young, Mattagami First Nation</p>
        <p>Northern College Graduate – Social Services Program</p>
      </div>
    </div>


  </div>

</article>